from visual import *

# screen definition
screen=display(title="sadegh",width=1000,height=1000, center=(5,5,5))


floor=box(pos=vector(0,0,0),length=30, height=1, width=30,color=color.green)

ball=sphere(pos=vector(-15,8,0),radius=1,color=color.red)

trail=curve(color=ball.color)




#****************** initial conditions
t=0.0
dt=0.01
ball.velocity=vector(2,2,0)
g=vector(0.2,-2,0.1)
restitution=0.8
#******************************

while abs(ball.pos.x)<=floor.length/2.0 and abs(ball.pos.z)<=floor.width/2.0:
        ball.pos=ball.pos+ball.velocity*dt+0.5*g*dt**2
        ball.velocity.x=ball.velocity.x+g.x*dt
        ball.velocity.z=ball.velocity.z+g.z*dt
        trail.append(pos=ball.pos)
        if ball.pos.y<=(floor.height/2+ball.radius):
           ball.velocity.y=-ball.velocity.y*restitution
        else:
           ball.velocity.y=ball.velocity.y+g.y*dt
        t=t+dt
        rate(1/dt)
